using AutoMapper;
using VentaUniformes.Application.Persistencia.user.commands.CreateUser;
using VentaUniformes.Application.Persistencia.user.commands.UpdateUser;
using VentaUniformes.Application.Persistencia.user.Queries.GetAllUser;
using VentaUniformes.Application.Persistencia.user.Queries.GetUserById;
using VentaUniformes.Application.Persistencia.user.Queries.GetUserByPassAndName;
using VentaUniformes.Domain.Entities.User;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VentaUniformes.Domain.Entities.Customer;
using VentaUniformes.Application.Persistencia.Producto.Queries.GetAllProduct;
using VentaUniformes.Application.VentasView;
using VentaUniformes.Application.VentasView.historico;
using VentaUniformes.Domain.Entities.Sale;
using VentaUniformes.Application.VentasView.Editar;

namespace VentaUniformes.Application.configuration
{
    public  class MapperProfile : Profile
    {
        public MapperProfile()
        {
            CreateMap<UserEntity, CreateUserModel>().ReverseMap();
            CreateMap<UserEntity, UpdateUserModel>().ReverseMap();
            CreateMap<GetAllUserModel, UserEntity>().ReverseMap();
            CreateMap<GetUserByIdModel, UserEntity>().ReverseMap();
            CreateMap<GetUserByPassAndNameModel, UserEntity>().ReverseMap();

            CreateMap<GetAllProductModel, ProductEntity>().ReverseMap();
            CreateMap<LineVentasViewModel, ProductEntity>().ReverseMap();
            CreateMap<VentaLineHistoricoViewModel, SaleEntity>().ReverseMap();
            CreateMap<LineEditarVentaViewModel, ProductEntity>().ReverseMap();

            





        }
    }
}
